### A free/open-source library for quantitative finance

Classes | Functions
ql/instruments/capfloor.hpp File Reference

cap and floor class More...

`#include <ql/instrument.hpp>`
`#include <ql/cashflows/iborcoupon.hpp>`
`#include <ql/handle.hpp>`
Include dependency graph for capfloor.hpp:

## Classes

class | CapFloor
| Base class for cap-like instruments. More...
class | Cap
| Concrete cap class. More...
class | Floor
| Concrete floor class. More...
class | Collar
| Concrete collar class. More...
class | CapFloor::arguments
| Arguments for cap/floor calculation More...
class | CapFloor::engine
| base class for cap/floor engines More...

## Functions

std::ostream & | operator<< (std::ostream &, CapFloor::Type)

## Detailed Description

cap and floor class

inflation cap and floor class, just year-on-year variety for now